[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ImgList' (#lcl)

# TCustomImageList.UnRegisterChanges

Unregisters a ChangeLink object for change notifications.

## Declaration

Source position: imglist.pp line 394

`public procedure TCustomImageList.UnRegisterChanges(`
`Value: TChangeLink`
`);`

## Arguments

`Value` |  | Reference to the changelink object to remove.

## Description

UnRegisterChanges is a procedure used to remove the specified change link object from the internal list of subscribers for the image list.

Value contains the TChangeLink instance removed in the method when subscribers have been stored in the internal list. UnRegisterChanges causes change notifications to not be sent to the linked object by clearing the value it Sender property and removing it from the internal list.

UnRegisterChanges is used in the Destroy method, and when a TChangeLink class instance is freed.

## See also

TChangeLink.Destroy |  | Destructor for the class instance.
TCustomImageList.Destroy |  | Destructor for the class instance.